%global require_ibus_version 1.4.0

Summary:    The M17N engine for IBus platform
Name:       ibus-m17n
Version:    1.4.22
Release:    3%{?dist}
License:    GPL-2.0-or-later
URL:        https://github.com/ibus/ibus-m17n
Source0:    https://github.com/ibus/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make libtool
BuildRequires:  m17n-lib-devel gtk3-devel ibus-devel >= %{require_ibus_version}
BuildRequires:  desktop-file-utils libappstream-glib gettext-devel >= 0.19
Requires:       ibus >= %{require_ibus_version} m17n-lib

%description
This package contains M17N engine for IBus input platform. It allows input of many languages 
using the input table maps from m17n-db.

%prep
%autosetup
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static --with-gtk=3.0
%{make_build}

%install
%{make_install}

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/ibus-setup-m17n.desktop
make check

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%{_libexecdir}/ibus-engine-m17n
%{_libexecdir}/ibus-setup-m17n
%{_datadir}/metainfo/m17n.appdata.xml
%{_datadir}/ibus-m17n
%{_datadir}/icons/hicolor/16x16/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/22x22/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/24x24/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/32x32/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/48x48/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/64x64/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/128x128/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/256x256/apps/ibus-m17n.png
%{_datadir}/icons/hicolor/scalable/apps/ibus-m17n.svg
%{_datadir}/ibus/component/*
%{_datadir}/applications/ibus-setup-m17n.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.m17n.gschema.xml

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.22-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.22-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 25 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.22-1
- Upgrade to version 1.4.22

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.17-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.17-1
- initial build
